Imagick::frameImage
Imagick::gammaImage
The Imagick class
PHP Manual

# Imagick::fxImage

(No version information available, might be only in CVS)

Imagick::fxImage — Evaluate expression for each pixel in the image

### Description

Imagick Imagick::fxImage ( string `$expression` [, int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Evaluate expression for each pixel in the image. Consult » The Fx Special Effects Image Operator for more information.

### Parameters

`expression`

  The expression.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::frameImage
Imagick::gammaImage
The Imagick class
PHP Manual